import { fetchBase } from '@/utils/fetch.js'

// 简易筛查 新增
export function addSimpleScreen(params, loading = true) {
    return fetchBase({ url: `/tumour-admin/v1/h5-app/add-simple-screen`, body: params, loading })
}

// 简易筛查 详情
export function getSimpleScreenById(id, loading = true) {
    return fetchBase({ url: `/tumour-admin/v1/h5-app/simple-screen-detail/${id}`, loading })
}

// 获取检验项目对码表
export function getInspectCode() {
    return fetchBase({ url: `/tumour-admin/v1/h5-app/dict-code-table`})
}

// 查询居民当年是否存在筛查记录 idCard residentId
export function getSimpleScreenYears(id, loading = true) {
    return fetchBase({ url: `/tumour-admin/v1/h5-app/years-simple/${id}`, loading})
}
